SPLAY(1)

NAME
splay - MPEG-1,2 Audio layer 1,2,3 and Wave file player

SYNOPSIS
splay [-2VMWmrsv] [-d dev] [-l list] [-t num] filenames...

xsplay [-2Vemrsv] [-d dev] [-l list] [-t num] filenames...

DESCRIPTION
Splay is the sound file player such as MPEG-1,2 Audio files and Wave files. And you can play these files using list file. With pthread, it can play sound files smoother. And it has X-interface with libqt. Splay with qt may make you splay easily.

OPTIONS
Splay has several options.

-2  play MPEG-Audio files with half-frequency. If you use this option, you may play MPEG audio files with job which exhausts CPU very much.
-e  exit when play is done. (xsplay)
-m  force to mono. Play with mono even if file have stereo quality.
-r  Repeat forever. (Not X-interface) If you -r with -s, list files would be shuffled everytime.
-s  Shuffle play. If you give list file or a number of files, Splay will makes them rearranged randomly. And with -r Everytime the order of files would be changed.
-v  Verbose, Very verbose, Very very verbose. (Note: splay version supplied with mp3blaster does not have this feature anymore)
-M  Play MPEG file as standard input.
-W  Play Wave file as standard input.
-V  Show version number.
-t  num
    num of frames were saved during playing. When CPU is so busy and prevents splay from decoding, splay will play back using saved frames. This feature makes you do other job freely with listing MPEG music.
-d  dev
    Change device file. Default device file is /dev/dsp. If you can't use this device file or you can output raw type data to file, you can use this option. If the first character of dev is / , dev would be considered as device file, If the first character of dev is - , dev would be considered as standard output, otherwise dev would be considered as normal file.
-l  list
    Select list file. http:// can be used. (e.g. http://localhost/abc.m3u)
filenames
    You can put several files, and use http:// If filename contains .mp or .MP, it will be considered as MPEG-Audio file. Otherwise be considered as Wave file. But if you use -l option, these will be ignored.

SEE ALSO